Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.admin
Interface TasksAdmin

All Known Implementing Classes:
  TasksAdminImpl

    public interface TasksAdmin

Method Summary
`int` | `archiveTasks(List<TaskSummary> tasks)`
`void` | `dispose()`
`List<TaskSummary>` | `getActiveTasks()`
`List<TaskSummary>` | `getActiveTasks(Date since)`
`List<TaskSummary>` | `getArchivedTasks()`
`List<TaskSummary>` | `getCompletedTasks()`
`List<TaskSummary>` | `getCompletedTasks(Date since)`
`List<TaskSummary>` | `getCompletedTasksByProcessId(Long processId)`
`List<TaskSummary>` | `getTasks(Date since, List<Status> statuses)`
`List<TaskSummary>` | `getTasks(List<Status> statuses)`
`List<TaskSummary>` | `getTasksByProcessId(Long processId, List<Status> statuses)`
`int` | `removeTasks(List<TaskSummary> tasks)`

Method Detail

### getActiveTasks

    List<TaskSummary> getActiveTasks()

### getActiveTasks

    List<TaskSummary> getActiveTasks(Date since)

### getCompletedTasks

    List<TaskSummary> getCompletedTasks()

### getCompletedTasks

    List<TaskSummary> getCompletedTasks(Date since)

### getCompletedTasksByProcessId

    List<TaskSummary> getCompletedTasksByProcessId(Long processId)

### getTasks

    List<TaskSummary> getTasks(List<Status> statuses)

### getTasks

    List<TaskSummary> getTasks(Date since,
                               List<Status> statuses)

### getTasksByProcessId

    List<TaskSummary> getTasksByProcessId(Long processId,
                                          List<Status> statuses)

### archiveTasks

    int archiveTasks(List<TaskSummary> tasks)

### getArchivedTasks

    List<TaskSummary> getArchivedTasks()

### removeTasks

    int removeTasks(List<TaskSummary> tasks)

### dispose

    void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.